/*
    LiveURL's - a Firefox extension that lets you create links to
    specific content on web pages

    Copyright (C) <2006>  Infosys Technologies Ltd.
    Authors : Natarajan Kannan (Natarajan_Kannan@infosys.com)
              Toufeeq Hussain (Toufeeq_Hussain@infosys.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

var liveurls = {
    onLoad: function() {
        this.initialized = true;
        gBrowser.addEventListener("DOMContentLoaded", this.processURL, 
            false);
    },

    onCopySearchLiveURL: function() {
        searchURLProcessor.copySearchLiveURL();
    },

    onCopyDOMLiveURL: function() {
        if(commonUtils.isLivePage()) {
            alert("Position locations cannot be created from already \
            highlighted pages. Please clear the highlight and try again.");
        } else {
            domURLProcessor.copyDOMLiveURL();
        }
    },

    processURL: function()
    {
        var fragmentID = content.document.location.hash.substr(1);

        if(fragmentID) {
            fragmentID = unescape(fragmentID);
            var info = fragmentID.substr(
                fragmentID.indexOf(commonUtils.delim) + 1);
            if(fragmentID.match(/^search/)) {
                searchURLProcessor.processSearchFragmentID(info);
                commonUtils.handleFailure();
            } else if(fragmentID.match(/^dom/)) {
                domURLProcessor.processDOMFragmentID(info);
                commonUtils.handleFailure();
            }
        }
    },

    onClearHighlight: function() {
        commonUtils.clearHighlight();
    },
};

window.addEventListener("load", function(e) { liveurls.onLoad(e); }, false);
window.addEventListener("click", 
    function(e) { commonUtils.handleLiveURLMenu(); }, true);
